Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001132Double CommanderGraphical user interfacepublic2015-07-08 19:362017-05-09 14:46
ReporterJesusR 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusacknowledgedResolutionopen 
ProjectionnoneETAnone 
Platformi386OSOS XOS VersionYosemite 10.10.3
Product Version0.7.0 (trunk)Product Build 
Target Version0.8.0Fixed in Version 
Summary0001132: [Patch] Most icons doesn't look right on Mac OS X
DescriptionSome icons didn't look right in carbon version 0.5.10, qt version 0.5.10 looks fine
but it become worse in trunk version.

Take a look at the screenshots.

Attached there is a patch for fixin this
TagsNo tags attached.
Fixed in Revision7552-7554
Operating systemMacOSX
WidgetsetCarbon
Architecture32-bit
Attached Filespng file icon before.png [^] (168,443 bytes) 2015-07-08 19:42


png file icon after.png [^] (167,266 bytes) 2015-07-08 19:42


diff file icon iconsfix.diff [^] (3,820 bytes) 2015-07-08 19:44 [Show Content]

- Relationships

-  Notes
(0001496)
JesusR (reporter)
2015-07-08 19:50

Forgot to say that I'm using Lazarus and FPC Trunk version.

The problem this patch fixes is that TIFF image reader is broken so it nows load the icon from an alternative format.
The other problem is that the resample routine is producing an unsupported format RGBA I changed it to ARGB.

- Issue History
Date Modified Username Field Change
2015-07-08 19:36 JesusR New Issue
2015-07-08 19:42 JesusR File Added: before.png
2015-07-08 19:42 JesusR File Added: after.png
2015-07-08 19:44 JesusR File Added: iconsfix.diff
2015-07-08 19:50 JesusR Note Added: 0001496
2016-01-30 10:26 Alexx2000 Target Version => 0.7.0
2016-01-30 10:27 Alexx2000 Status new => acknowledged
2016-03-08 13:11 Alexx2000 Target Version 0.7.0 => 0.7.1
2016-03-26 11:27 Alexx2000 Target Version 0.7.1 => 0.8.0
2017-05-09 13:52 Alexx2000 Fixed in Revision => 7552
2017-05-09 13:58 Alexx2000 Fixed in Revision 7552 => 7552-7553
2017-05-09 14:46 Alexx2000 Fixed in Revision 7552-7553 => 7552-7554
Get Double Commander at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker